# sys.c File Reference

## Defines
#define | NUM_INPUT_FIELDS (1)
#define | TEXT_LENGTH (128)
## Functions
void | ShowMessageDialog (const char *message, int enableYesno)
void | runebootfile (char *path)
static int | LoadStartModule (char *path)
static int | StopUnloadModule (SceUID modID)
static int | lua_getCurrentDirectory (lua_State *L)
static int | lua_setCurrentDirectory (lua_State *L)
static int | lua_curdir (lua_State *L)
static int | lua_dir (lua_State *L)
static int | lua_createDir (lua_State *L)
static int | lua_removeDir (lua_State *L)
static int | lua_removeFile (lua_State *L)
static int | lua_rename (lua_State *L)
static int | lua_usbActivate (lua_State *L)
static int | lua_usbDeactivate (lua_State *L)
static int | lua_powerIsPowerOnline (lua_State *L)
static int | lua_powerIsBatteryExist (lua_State *L)
static int | lua_powerIsBatteryCharging (lua_State *L)
static int | lua_powerGetBatteryChargingStatus (lua_State *L)
static int | lua_powerIsLowBattery (lua_State *L)
static int | lua_powerGetBatteryLifePercent (lua_State *L)
static int | lua_powerGetBatteryLifeTime (lua_State *L)
static int | lua_powerGetBatteryTemp (lua_State *L)
static int | lua_powerGetBatteryVolt (lua_State *L)
static int | lua_powerTick (lua_State *L)
static int | lua_md5sum (lua_State *L)
void | SIOInit (void)
void | SIOBaud (int baud)
void | SIOSend (int ch)
int | SIORecv (void)
static int | lua_sioInit (lua_State *L)
static int | lua_sioWrite (lua_State *L)
static int | lua_sioRead (lua_State *L)
static int | lua_irdaInit (lua_State *L)
static int | lua_irdaWrite (lua_State *L)
static int | lua_irdaRead (lua_State *L)
static int | lua_sleep (lua_State *L)
static int | lua_getFreeMemory (lua_State *L)
static int | lua_madeby (lua_State *L)
static int | lua_Quit (lua_State *L)
static int | lua_setcpu (lua_State *L)
static int | lua_getcpu (lua_State *L)
static int | lua_Memclean (lua_State *L)
static int | lua_prxload (lua_State *L)
static int | lua_stopmodule (lua_State *L)
static int | lua_LoadExec (lua_State *L)
static int | lua_startpsx (lua_State *L)
static int | lua_nickName (lua_State *L)
static int | lua_message (lua_State *L)
static int | lua_buttonpress (lua_State *L)
static int | lua_standby (lua_State *L)
static int | lua_suspend (lua_State *L)
static int | lua_runumd (lua_State *L)
static int | lua_runupdate (lua_State *L)
| SetConfFile (int n)
| SetUmdFile (char *umdfile)
static int | lua_runiso (lua_State *L)
static int | lua_usbdevflash0 (lua_State *L)
static int | lua_usbdevflash1 (lua_State *L)
static int | lua_usbdevflash2 (lua_State *L)
static int | lua_usbdevflash3 (lua_State *L)
static int | lua_usbdevUMD (lua_State *L)
static int | lua_playerver (lua_State *L)
static int | lua_cfwver (lua_State *L)
static int | lua_model (lua_State *L)
static int | lua_devsize (lua_State *L)
static int | lua_devtotalsize (lua_State *L)
static int | lua_time (lua_State *L)
static int | lua_date (lua_State *L)
static int | lua_getfilesize (lua_State *L)
static int | lua_direxsist (lua_State *L)
static int | lua_fileexsist (lua_State *L)
char * | ShowSonyOSK (void)
static int | lua_osk (lua_State *L)
static int | lua_gamesave (lua_State *L)
static int | lua_gameload (lua_State *L)
int | imposeGetVolume ()
int | imposeSetVolume (int volume)
int | imposeGetMute ()
int | imposeSetMute (int value)
int | getBrightness ()
void | setBrightness (int brightness)
int | imposeSetBrightness (int value)
int | imposeGetBrightness ()
int | displayEnable (void)
int | displayDisable (void)
int | imposeSetHomePopup (int value)
static int | lua_setbright (lua_State *L)
static int | lua_getbright (lua_State *L)
static int | lua_enabledisplay (lua_State *L)
static int | lua_disabledisplay (lua_State *L)
static int | lua_getvolume (lua_State *L)
static int | lua_setvolume (lua_State *L)
static int | lua_mute (lua_State *L)
static int | lua_homepopup (lua_State *L)
static int | umd_init (lua_State *L)
static int | umd_checkdisk (lua_State *L)
static int | umd_term (lua_State *L)
static int | umd_getSize (lua_State *L)
static int | Hprm_read (lua_State *L)
static int | Hprm_headphone (lua_State *L)
static int | Hprm_remote (lua_State *L)
static int | Hprm_mic (lua_State *L)
void | sys_init (lua_State *L)
## Variables
static int | usbActivated = 0
static SceUID | irda_fd = -1
static SceIoDirent | g_dir
static const luaL_reg | UMD_functions []
static const luaL_reg | Hprm_functions []
static const luaL_reg | System_functions []

## Define Documentation

#define NUM_INPUT_FIELDS (1)

#define TEXT_LENGTH (128)

## Function Documentation

int displayDisable | ( | void |  | ) |

int displayEnable | ( | void |  | ) |

int getBrightness | ( |  | ) |

static int Hprm_headphone | ( | lua_State * | L | ) | `[static]`

static int Hprm_mic | ( | lua_State * | L | ) | `[static]`

static int Hprm_read | ( | lua_State * | L | ) | `[static]`

static int Hprm_remote | ( | lua_State * | L | ) | `[static]`

int imposeGetBrightness | ( |  | ) |

int imposeGetMute | ( |  | ) |

int imposeGetVolume | ( |  | ) |

int imposeSetBrightness | ( | int | value | ) |

int imposeSetHomePopup | ( | int | value | ) |

int imposeSetMute | ( | int | value | ) |

int imposeSetVolume | ( | int | volume | ) |

static int LoadStartModule | ( | char * | path | ) | `[static]`

static int lua_buttonpress | ( | lua_State * | L | ) | `[static]`

static int lua_cfwver | ( | lua_State * | L | ) | `[static]`

static int lua_createDir | ( | lua_State * | L | ) | `[static]`

static int lua_curdir | ( | lua_State * | L | ) | `[static]`

static int lua_date | ( | lua_State * | L | ) | `[static]`

static int lua_devsize | ( | lua_State * | L | ) | `[static]`

static int lua_devtotalsize | ( | lua_State * | L | ) | `[static]`

static int lua_dir | ( | lua_State * | L | ) | `[static]`

static int lua_direxsist | ( | lua_State * | L | ) | `[static]`

static int lua_disabledisplay | ( | lua_State * | L | ) | `[static]`

static int lua_enabledisplay | ( | lua_State * | L | ) | `[static]`

static int lua_fileexsist | ( | lua_State * | L | ) | `[static]`

static int lua_gameload | ( | lua_State * | L | ) | `[static]`

static int lua_gamesave | ( | lua_State * | L | ) | `[static]`

static int lua_getbright | ( | lua_State * | L | ) | `[static]`

static int lua_getcpu | ( | lua_State * | L | ) | `[static]`

static int lua_getCurrentDirectory | ( | lua_State * | L | ) | `[static]`

static int lua_getfilesize | ( | lua_State * | L | ) | `[static]`

static int lua_getFreeMemory | ( | lua_State * | L | ) | `[static]`

static int lua_getvolume | ( | lua_State * | L | ) | `[static]`

static int lua_homepopup | ( | lua_State * | L | ) | `[static]`

static int lua_irdaInit | ( | lua_State * | L | ) | `[static]`

static int lua_irdaRead | ( | lua_State * | L | ) | `[static]`

static int lua_irdaWrite | ( | lua_State * | L | ) | `[static]`

static int lua_LoadExec | ( | lua_State * | L | ) | `[static]`

static int lua_madeby | ( | lua_State * | L | ) | `[static]`

static int lua_md5sum | ( | lua_State * | L | ) | `[static]`

static int lua_Memclean | ( | lua_State * | L | ) | `[static]`

static int lua_message | ( | lua_State * | L | ) | `[static]`

static int lua_model | ( | lua_State * | L | ) | `[static]`

static int lua_mute | ( | lua_State * | L | ) | `[static]`

static int lua_nickName | ( | lua_State * | L | ) | `[static]`

static int lua_osk | ( | lua_State * | L | ) | `[static]`

static int lua_playerver | ( | lua_State * | L | ) | `[static]`

static int lua_powerGetBatteryChargingStatus | ( | lua_State * | L | ) | `[static]`

static int lua_powerGetBatteryLifePercent | ( | lua_State * | L | ) | `[static]`

static int lua_powerGetBatteryLifeTime | ( | lua_State * | L | ) | `[static]`

static int lua_powerGetBatteryTemp | ( | lua_State * | L | ) | `[static]`

static int lua_powerGetBatteryVolt | ( | lua_State * | L | ) | `[static]`

static int lua_powerIsBatteryCharging | ( | lua_State * | L | ) | `[static]`

static int lua_powerIsBatteryExist | ( | lua_State * | L | ) | `[static]`

static int lua_powerIsLowBattery | ( | lua_State * | L | ) | `[static]`

static int lua_powerIsPowerOnline | ( | lua_State * | L | ) | `[static]`

static int lua_powerTick | ( | lua_State * | L | ) | `[static]`

static int lua_prxload | ( | lua_State * | L | ) | `[static]`

static int lua_Quit | ( | lua_State * | L | ) | `[static]`

static int lua_removeDir | ( | lua_State * | L | ) | `[static]`

static int lua_removeFile | ( | lua_State * | L | ) | `[static]`

static int lua_rename | ( | lua_State * | L | ) | `[static]`

static int lua_runiso | ( | lua_State * | L | ) | `[static]`

static int lua_runumd | ( | lua_State * | L | ) | `[static]`

static int lua_runupdate | ( | lua_State * | L | ) | `[static]`

static int lua_setbright | ( | lua_State * | L | ) | `[static]`

static int lua_setcpu | ( | lua_State * | L | ) | `[static]`

static int lua_setCurrentDirectory | ( | lua_State * | L | ) | `[static]`

static int lua_setvolume | ( | lua_State * | L | ) | `[static]`

static int lua_sioInit | ( | lua_State * | L | ) | `[static]`

static int lua_sioRead | ( | lua_State * | L | ) | `[static]`

static int lua_sioWrite | ( | lua_State * | L | ) | `[static]`

static int lua_sleep | ( | lua_State * | L | ) | `[static]`

static int lua_standby | ( | lua_State * | L | ) | `[static]`

static int lua_startpsx | ( | lua_State * | L | ) | `[static]`

static int lua_stopmodule | ( | lua_State * | L | ) | `[static]`

static int lua_suspend | ( | lua_State * | L | ) | `[static]`

static int lua_time | ( | lua_State * | L | ) | `[static]`

static int lua_usbActivate | ( | lua_State * | L | ) | `[static]`

static int lua_usbDeactivate | ( | lua_State * | L | ) | `[static]`

static int lua_usbdevflash0 | ( | lua_State * | L | ) | `[static]`

static int lua_usbdevflash1 | ( | lua_State * | L | ) | `[static]`

static int lua_usbdevflash2 | ( | lua_State * | L | ) | `[static]`

static int lua_usbdevflash3 | ( | lua_State * | L | ) | `[static]`

static int lua_usbdevUMD | ( | lua_State * | L | ) | `[static]`

void runebootfile | ( | char * | path | ) |

void setBrightness | ( | int | brightness | ) |

SetConfFile | ( | int | n | ) |

SetUmdFile | ( | char * | umdfile | ) |

void ShowMessageDialog | ( | const char * | message,
|  | int | enableYesno |
| ) |  |  |

char* ShowSonyOSK | ( | void |  | ) |

void SIOBaud | ( | int | baud | ) |

void SIOInit | ( | void |  | ) |

int SIORecv | ( | void |  | ) |

void SIOSend | ( | int | ch | ) |

static int StopUnloadModule | ( | SceUID | modID | ) | `[static]`

void sys_init | ( | lua_State * | L | ) |

static int umd_checkdisk | ( | lua_State * | L | ) | `[static]`

static int umd_getSize | ( | lua_State * | L | ) | `[static]`

static int umd_init | ( | lua_State * | L | ) | `[static]`

static int umd_term | ( | lua_State * | L | ) | `[static]`

## Variable Documentation

SceIoDirent g_dir`[static]`

const luaL_reg Hprm_functions[]`[static]`

Initial value:

     {
      {"read",              Hprm_read},
      {"headphone",              Hprm_headphone},
      {"remote",              Hprm_remote},
      {"mic",              Hprm_mic},
      {0, 0}
    }

SceUID irda_fd = -1`[static]`

const luaL_reg System_functions[]`[static]`

const luaL_reg UMD_functions[]`[static]`

Initial value:

     {
      {"init",              umd_init},
      {"term",              umd_term},
      {"checkDisk",         umd_checkdisk},
      {"getSize",         umd_getSize},
      {0, 0}
    }

int usbActivated = 0`[static]`